petsc-3.6.2 2015-10-02
Report Typos and Errors

# MatMkl_CPardisoSetCntl

Set Mkl_Pardiso parameters

### Synopsis

    PetscErrorCode MatMkl_CPardisoSetCntl(Mat F,PetscInt icntl,PetscInt ival)

Logically Collective on Mat

### Input Parameters

| F | - the factored matrix obtained by calling MatGetFactor()
| icntl | - index of Mkl_Pardiso parameter
| ival | - value of Mkl_Pardiso parameter

### Options Database

-mat_mkl_cpardiso_<icntl> <ival> -

References: Mkl_Pardiso Users' Guide

### See Also

MatGetFactor()

Level:beginner
Location:src/mat/impls/aij/mpi/mkl_cpardiso/mkl_cpardiso.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages